shiftLongitude {oce} | R Documentation

## Shift Longitude to Range -180 to 180

### Description

This is a utility function used by `mapGrid`. It works simply by subtracting 180 from each longitude, if any longitude in the vector exceeds 180.

### Usage

    shiftLongitude(longitudes)

### Arguments

`longitudes` | a numericl vector of longitudes

### Value

vector of longitudes, shifted to the desired range.

### See Also

`matrixShiftLongitude` and `standardizeLongitude`.

Other functions related to maps: `lonlat2map`, `lonlat2utm`, `map2lonlat`, `mapArrows`, `mapAxis`, `mapContour`, `mapDirectionField`, `mapGrid`, `mapImage`, `mapLines`, `mapLocator`, `mapLongitudeLatitudeXY`, `mapPlot`, `mapPoints`, `mapPolygon`, `mapScalebar`, `mapText`, `mapTissot`, `oceCRS`, `utm2lonlat`

[Package oce version 0.9-22 Index]